com.unitech.stuhfl

## Class STUHFL_T_VersionLib

- java.lang.Object
- - com.unitech.stuhflBridge.BR_Version
  - - com.unitech.stuhfl.STUHFL_T_VersionLib

-     public class STUHFL_T_VersionLib
      extends BR_Version

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_Version

      `BR_Version.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `major`
    `byte` | `micro` < O Param: Minor version
    `byte` | `minor` < O Param: Major version
    `byte` | `nano` < O Param: Micro version

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_VersionLib()`
    `STUHFL_T_VersionLib(STUHFL_T_VersionLib other)` < O Param: Nano version

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fetch()` Retrieve the native library version
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_Version

      `_GetBoardVersion, _STUHFL_F_GetLibVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### major

          public byte major

    - #### minor

          public byte minor

      < O Param: Major version

    - #### micro

          public byte micro

      < O Param: Minor version

    - #### nano

          public byte nano

      < O Param: Micro version

  - ### Constructor Detail

    - #### STUHFL_T_VersionLib

          public STUHFL_T_VersionLib(STUHFL_T_VersionLib other)

      < O Param: Nano version

    - #### STUHFL_T_VersionLib

          public STUHFL_T_VersionLib()

  - ### Method Detail

    - #### fetch

          public void fetch()

      Retrieve the native library version

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`